# Ogre::Win32Context Class Reference

`#include <OgreWin32Context.h>`

Inheritance diagram for Ogre::Win32Context:

List of all members.

## Public Member Functions

| Win32Context (HDC HDC, HGLRC Glrc)
virtual | ~Win32Context ()
virtual void | setCurrent ()
| See GLContext.
virtual void | endCurrent ()
| This is called before another context is made current.
bool | getInitialized ()
void | setInitialized ()

## Public Attributes

HDC | mHDC
HGLRC | mGlrc

## Protected Attributes

bool | initialized

## Constructor & Destructor Documentation

Ogre::Win32Context::Win32Context | ( | HDC | HDC,
|  | HGLRC | Glrc
| ) |

virtual Ogre::Win32Context::~Win32Context | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void Ogre::GLContext::endCurrent | ( |  | ) | `[virtual, inherited]`

| This is called before another context is made current. By default, nothing is done here.

bool Ogre::GLContext::getInitialized | ( |  | ) | `[inherited]`

| Definition at line 54 of file OgreGLContext.h. References Ogre::GLContext::initialized.

virtual void Ogre::Win32Context::setCurrent | ( |  | ) | `[virtual]`

| See GLContext. Implements Ogre::GLContext.

void Ogre::GLContext::setInitialized | ( |  | ) | `[inherited]`

| Definition at line 55 of file OgreGLContext.h. References Ogre::GLContext::initialized.

## Member Data Documentation

bool Ogre::GLContext::initialized `[protected, inherited]`

| Definition at line 57 of file OgreGLContext.h. Referenced by Ogre::GLContext::getInitialized(), and Ogre::GLContext::setInitialized().

HGLRC Ogre::Win32Context::mGlrc

| Definition at line 44 of file OgreWin32Context.h.

HDC Ogre::Win32Context::mHDC

| Definition at line 43 of file OgreWin32Context.h.

The documentation for this class was generated from the following file:

- OgreWin32Context.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Feb 12 13:10:54 2006